> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke OAuth 2.0 Token

> Revoke an OAuth 2.0 token for an API client. Once revoked, the token cannot be used anymore.



## OpenAPI

````yaml /openapi/oauth.json post /v1/oauth/token/revoke
openapi: 3.0.1
info:
  title: Voucherify API - OAuth
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/oauth/token/revoke:
    post:
      tags:
        - OAuth
      summary: Revoke OAuth 2.0 Token
      description: >-
        Revoke an OAuth 2.0 token for an API client. Once revoked, the token
        cannot be used anymore.
      operationId: revoke-oauth-token
      parameters: []
      requestBody:
        description: Send the request as `x-www-form-urlencoded`.
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OAuthTokenRevokeRequestBody'
            examples:
              Request example:
                value:
                  access_token: 1ABCde2FGHijKl3m4NO5pqR6STUv7wxYzAbc8dE90FgH1IJkLm
        required: true
      responses:
        '204':
          description: Returns no content if the OAuth 2.0 token is revoked successfully.
        '404':
          description: Returns an empty error if a token was not found or it was inactive.
      security:
        - X-App-Id: []
          X-App-Token: []
components:
  schemas:
    OAuthTokenRevokeRequestBody:
      title: OAuth Token Revoke Request Body
      type: object
      description: Request body schema for **POST** `/oauth/token/revoke`.
      properties:
        access_token:
          type: string
          description: An OAuth 2.0 token generated with the API token and key.
          example: 1ABCde2FGHijKl3m4NO5pqR6STUv7wxYzAbc8dE90FgH1IJkLm
      required:
        - access_token
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header

````